Subject: Re: [PATCH 3/6] Consolidate of_find_property

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 25 Apr 2007 11:12:18 +1000

On Wed, 2007-04-25 at 02:43 +0200, Segher Boessenkool wrote:

> The OF standard doesn't allow upper case in property
> names at all.

Ok, fair enough, but in practice, they exist :-)

> > I don't think we would take much risk on ppc by
> > using strncasecmp but it shouldn't be necessary...
> 
> There are some examples where upper case is actually
> used in property names, unfortunately.  These can
> be solved by renaming/copying those properties to
> all lower case in a bootwrapper, or by strcmp() to
> the "cased" string, or by strcasecmp().  I for one
> don't like either option, you figure it out ;-)

Oh well, I don't care either way though fixup from bootwrapper doesn't
appeal to me at all...

Ben.